Qt Reference Documentation

# Qt 3 Support Members for QDataStream

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QDataStream class reference

## Public Functions

| QDataStream ( QByteArray * array, int mode )
bool | eof () const
bool | isPrintableData () const
QDataStream & | readRawBytes ( char * str, uint len )
void | setPrintableData ( bool enable )
QDataStream & | writeRawBytes ( const char * str, uint len )

## Member Function Documentation

### QDataStream::QDataStream ( QByteArray * array, int mode )

Constructs a data stream that operates on the given array. The mode specifies how the byte array is to be used, and is usually either QIODevice::ReadOnly or QIODevice::WriteOnly.

### bool QDataStream::eof () const

Use atEnd() instead.

### bool QDataStream::isPrintableData () const

In Qt 4, this function always returns false.

See also setPrintableData().

### QDataStream & QDataStream::readRawBytes ( char * str, uint len )

Use readRawData() instead.

### void QDataStream::setPrintableData ( bool enable )

In Qt 3, this function enabled output in a human-readable format if enable was false.

In Qt 4, QDataStream no longer provides a human-readable output. This function does nothing.

See also isPrintableData().

### QDataStream & QDataStream::writeRawBytes ( const char * str, uint len )

Use writeRawData() instead.